Bug 198345 - Package alsa-lib lacks IPv6 support
Package alsa-lib lacks IPv6 support
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 05:50 EDT by Peter Vrabec
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-16 08:21:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-07-11 05:50:15 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/alsa-lib-1.0.11rc2/src/control/control_shm.c:453:	sock = socket(PF_INET, SOCK_STREAM, 0);
/alsa-lib-1.0.11rc2/src/control/control_shm.c:457:	addr.sin_family = AF_INET;
/alsa-lib-1.0.11rc2/src/pcm/pcm_shm.c:646:	sock = socket(PF_INET, SOCK_STREAM, 0);
/alsa-lib-1.0.11rc2/src/pcm/pcm_shm.c:652:	addr.sin_family = AF_INET;
/alsa-lib-1.0.11rc2/src/socket.c:119:	s = socket(PF_INET, SOCK_STREAM, 0);
/alsa-lib-1.0.11rc2/src/socket.c:147:		s_in->sin_family = AF_INET;
/alsa-lib-1.0.11rc2/aserver/aserver.c:89:	sock = socket(PF_INET, SOCK_STREAM, 0);
/alsa-lib-1.0.11rc2/aserver/aserver.c:96:	addr.sin_family = AF_INET;
Comment 1 Martin Stransky 2006-08-30 05:28:43 EDT
I work on it, it should not be a big deal...
Comment 2 Peter Vrabec 2007-03-16 10:12:13 EDT
Is it anythink new here?
Comment 3 Martin Stransky 2007-08-16 08:21:41 EDT
It's a minor functionality and we don't use that network interface in Fedora. If
you believe it should be fixed, please report it at ALSA project
(www.alsa-project.org)

Note You need to log in before you can comment on or make changes to this bug.